Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161580 - SELinux breaks netplugd
Summary: SELinux breaks netplugd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 16:33 UTC by Quereller
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-06 17:53:40 UTC


Attachments (Terms of Use)
audit.log (deleted)
2005-07-02 12:22 UTC, Quereller
no flags Details

Description Quereller 2005-06-24 16:33:42 UTC
Description of problem:
netplugd does not work when started from init script and SELinux is in enforcing
mode.

Version-Release number of selected component (if applicable):
net-tools-1.60-52
selinux-policy-targeted-1.23.18-12

How reproducible: always

Steps to Reproduce: 
1. set selinux to enforcing
2. service netplugd start
3.
  
Actual results: netplugd fails

Expected results: it should start

Additional info: type=AVC msg=audit(1119630293.936:2818106): avc:  denied  {
create } for  pid=4282 comm="netplugd" scontext=root:system_r:hotplug_t
tcontext=root:system_r:hotplug_t tclass=netlink_route_socket

Comment 1 Daniel Walsh 2005-06-26 11:33:07 UTC
Fixed in selinux-policy-targeted-1.23.18-17

Comment 2 Quereller 2005-07-02 12:22:32 UTC
Created attachment 116287 [details]
audit.log

Comment 3 Quereller 2005-07-02 12:23:39 UTC
Still not fixed with selinux-policy-targeted-1.23.18-17

Comment 4 Quereller 2005-07-06 17:53:40 UTC
Fixed with selinux-policy-targeted-1.24-3


Note You need to log in before you can comment on or make changes to this bug.